/*
     This file is part of GNUnet.
     (C) 2005, 2006 Christian Grothoff (and other contributing authors)

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/

/**
 * @file src/plugins/fs/content_tracking.h
 * @brief code for tracking available content
 * @author Christian Grothoff
 */

#ifndef CONTENT_TRACKING_H
#define CONTENT_TRACKING_H

#include <GNUnet/gnunet_ecrs_lib.h>

/**
 * Add the given content to the globally available
 * content model.  Check that it is not already
 * present!
 */
int updateViewSave(const ECRS_FileInfo * fi,
		   const HashCode512 * key,
		   int isRoot,
		   void * closure);

#endif
